MarketPe APIs
Vendor

Vendor List

vendor/list

POST /vendor/list

Request

{
  "createdTimeFrom": "2025-11-12T10:00:00+05:30",
  "createdTimeTo": "2025-11-13T10:00:00+05:30",
  "type": "DRIVER",
  "phone": "9876543210"
}

"2025-11-12T10:00:00+05:30" represents 10AM india time.
You can also pass ISO format like "2025-11-12T10:00:00.000Z" but you need to adjust time as this represents 3.30PM india time.

Request Parameters

ParameterTypeRequiredDescription
createdTimeFromstringNoStart of the vendor-creation time range (inclusive). ISO 8601.
createdTimeTostringNoEnd of the vendor-creation time range (exclusive). ISO 8601.
typestringNoFilter by vendor type. One of BROKER, VEHICLE_OWNER, DRIVER, VENDOR, EMPLOYEE.
phonestringNoFilter by 10-digit phone number.

Response

{
  "status": "success",
  "data": [
    {
      "id": "marketpe1234",
      "autoIdentifier": "VEN-001",
      "identifier": "your-vendor-ref",
      "name": "Ramesh Kumar",
      "phone": "9876543210",
      "type": "DRIVER",
      ...
    },
    {
      "id": "marketpe1235",
      "autoIdentifier": "VEN-002",
      ...
    }
  ]
}

Last updated on